<template>
  <v-container
    fluid
    tag="section"
  >
    <material-card
      icon="mdi-account"
      icon-small
      :title="$t('usuarios')"
      color="secondary"
    >
      <v-row>
        <v-col cols="12" md="12" sm="12">
          <UsuariosTabla
            ref="UsuariosTabla"
            @onNuevoUsuario="nuevoUsuario"
            @onEditarUsuario="editarUsuario"
            class="pt-6 pl-8 pr-8 pb-8"
          />
        </v-col>
      </v-row>
      <v-dialog v-model="modal" max-width="700" transition="dialog-bottom-transition" persistent>
        <UsuarioForm
          :usuario="usuarioData"
          @onUsuarioGuardado="usuarioGuardado"
          @onCancelarGuardar="cancelarGuardado"
        />
      </v-dialog>
    </material-card>
  </v-container>
</template>

<script>
import UsuariosTabla from '@/components/Usuarios/UsuariosTabla'
import UsuarioForm from '@/components/Usuarios/UsuarioForm'
export default {
  components: {
    UsuariosTabla,
    UsuarioForm
  },
  data () {
    return {
      modal: false,
      usuarioData: null
    }
  },
  methods: {
    nuevoUsuario() {
      this.modal = true
    },
    cancelarGuardado() {
      this.modal = false
      this.usuarioData = null
    },
    usuarioGuardado() {
      this.modal = false
      this.usuarioData = null
    },
    editarUsuario(value) {
      this.modal = true
      this.usuarioData = value
    }
  }
}
</script>

<style>

</style>
